//   Company:       Advanced CAD Consulting  (713) 431-2646
//   Programmer:    Rene R. Ramirez
//   Date:          04/26/94
//   Description:   Dialogue for drawing a profile


dcl_settings : default_dcl_settings { audit_level = 0; }

progen : dialog {                            // Profile Generator dialog
//    initial_focus = "spoint";
    key = "prodlg";
    label = "Profile Generator";
        : row {
           : boxed_column {
           	 label = "Layers:";
           	 : edit_box {
                  label = "Profile:";
                  edit_width = 10;
                  key = "pro_box";
                  mnemonic = "P";
           	 }
           	 : edit_box {
                  label = "Grid:";
                  edit_width = 10;
                  key = "grd_box";
                  mnemonic = "r";
           	 }
           }
           : boxed_column {
             label = "Scale Factor:";
             : row {
             	: button {
             	  label = "Vert:";
                  width = 10;
                  key = "vertbtn";
                  mnemonic = "V";
                }
                : edit_box {
                  edit_width = 10;
                  key = "vert_box";
                }
             }
             : row {
             	: button {
             	  label = "Hor:";
                  width = 10;
                  key = "horbtn";
                  mnemonic = "H";
                }
                : edit_box {
                  edit_width = 10;
                  key = "hor_box";
                  value = "1.0000";
                }
             }
           }
     	 }
     	 spacer_1;
        : row {	
          : boxed_column {
             label = "Origin:";
             : button {
                label = "Select Point <";
                key = "spoint";
                width = 18;
                mnemonic = "S";
             }
             : edit_box {
                label = "X:";
                edit_width = 14;
                key = "x_box";
                value = "0.0000";
                mnemonic = "X";
             }
             : edit_box {
                label = "Y:";
                edit_width = 14;
                key = "y_box";
                value = "0.0000";
                mnemonic = "Y";
             }
             : edit_box {
                label = "Sta:";
                edit_width = 14;
                key = "sta_box";
                value = "0.0000";
                mnemonic = "S";
             }
             : edit_box {
                label = "Elev:";
                edit_width = 14;
                key = "el_box";
                value = "0.0000";
                mnemonic = "E";
             }
          }
          : column {
           : boxed_column {
             label = "Grid:";
             key = "gridset";
             : toggle {
               label = "Draw Grid";
               key = "gridtog";
               mnemonic = "D";
             }
             : edit_box {
                label = "X Spa:";
                edit_width = 10;
                key = "xspa_box";
                value = "1.0000";
                mnemonic = "p";
             }
             : edit_box {
                label = "Y Spa:";
                edit_width = 10;
                key = "yspa_box";
                value = "1.0000";
                mnemonic = "a";
             }
           }
           : button {
                label = "ID Point <";
                key = "idpoint";
                width = 16;
                mnemonic = "I";
                fixed_width = true;
                alignment = centered;
           }
           : button {
                label = "Label Point <";
                key = "lblpoint";
                width = 16;
                mnemonic = "a";
                fixed_width = true;
                alignment = centered;
           }
           : toggle {
             label = "Left To Right";
             key = "rtltog";
             mnemonic = "L";
           }
          }
        }
   spacer_1;
   ok_cancel;
   errtile;
}

wabout : dialog {                            // dialog
    key = "waboutdlg";
    : list_box {
       key = "aboutlist";
       width = 58;
       height = 12;
       fixed_width = true;
    }
   ok_only;
   errtile;
}
